@echo off
echo.
echo Signature Certificates For Potato
echo =========================================
echo.
echo This program will verify the authenticity of pot.exe, nym.exe, and
echo dec.exe using the signature certificates in the current directory.
echo.
echo To check signatures you will need the key for RProcess rprocess@geocities.com
echo (2048 RSA)  This key is available on the Potato Software Homepage:
echo http://www.geocities.com/SiliconValley/Bay/4362
echo.
echo Or, send the following blank message:
echo         To: pgp-public-keys@keys.pgp.net
echo         Subject: get rprocess@geocities.com
echo.
echo or use
echo http://pgp5.ai.mit.edu:11371/pks/lookup?op=vindex&search=rprocess&fingerprint=on
echo or
echo http://pgp5.ai.mit.edu/pks-commands.html#extract
echo.
choice Check signatures now? 
if errorlevel 2 goto end
echo.
echo Checking pot.exe using pot.asc...
if not exist pot.exe goto notfound
if not exist pot.asc goto notfound
echo pgp pot.asc pot.exe
pgp pot.asc pot.exe
pause

echo.
echo Checking nym.exe using nym.asc...
if not exist nym.exe goto notfound
if not exist nym.asc goto notfound
echo pgp nym.asc nym.exe
pgp nym.asc nym.exe
pause

echo Checking Dec\Dec.exe using Dec.asc...
if not exist Dec\Dec.exe goto Dec2
if not exist Dec.asc goto notfound
echo pgp Dec.asc Dec\Dec.exe
pgp Dec.asc Dec\Dec.exe
pause
echo.
echo Done.
goto end

:Dec2
if not exist Dec.exe goto notfound
if not exist Dec.asc goto notfound
echo pgp Dec.asc Dec.exe
pgp Dec.asc Dec.exe
pause
echo.
echo Done.
goto end

:notfound
echo Error: File Not Found
pause
goto end

:end

